#include "triangles.h"
#include <iostream>
#include <vector>
#include <cstdint>

using namespace std;
vector<vector<int>>solve(int n) {

    vector<vector<int>>ans;
    ans.push_back({1, 2, 3});
    ans.push_back({1, 2, 4});
    vector<Triangle>left, right;

    left = {Triangle(0, 1, 2)};
    right = {Triangle(0, 1, 3), Triangle(2, 1, 3), Triangle(0, 2, 3)};
    if (compare(left, right) == 0) {
        return {{0, 1, 3}, {2, 1, 3}, {0, 2, 3}};
    }
    left = {Triangle(0, 1, 3)};
    right = {Triangle(0, 1, 2), Triangle(3, 1, 2), Triangle(0, 3, 2)};
    if (compare(left, right) == 0) {
        return {{0, 1, 2}, {3, 1, 2}, {0, 3, 2}};
    }
    left = {Triangle(0, 2, 3)};
    right = {Triangle(0, 1, 2), Triangle(3, 1, 2), Triangle(0, 3, 1)};
    if (compare(left, right) == 0) {
        return {{0, 1, 2}, {3, 1, 2}, {0, 3, 1}};
    }
    left = {Triangle(1, 2, 3)};
    right = {Triangle(0, 1, 2), Triangle(3, 1, 0), Triangle(0, 2, 3)};
    if (compare(left, right) == 0) {
        return {{0, 1, 2}, {0, 2, 3}, {0, 1, 3}};
    }
    vector<Triangle>left1, right1, left2, right2;
    left1 = {Triangle(0, 1, 2), Triangle(0, 2, 3)};
    right1 = {Triangle(0, 1, 3), Triangle(1, 2, 3)};
    if (compare(left1, right1) == 0) {
        return {{0, 1, 2}, {0, 2,3}};
    }
    else {
        return {{0, 1, 2}, {0, 1, 3}};
    }


}